<uib-accordion close-others="true" style="margin-top:30px;">
  <div class="" ng-repeat="(nombre, shapes) in layers">
    <div  uib-accordion-group
      class="panel-default left-controls acordeon-tipo-shape"
      is-open="visibleFiltros"
      ng-show="layerIsEmpty(nombre)">
        <uib-accordion-heading>
          <i class="fa {{ getIcono(nombre) }}" aria-hidden="true"></i>
          {{ nombre }}
          <i class="pull-right glyphicon expand-icon"
            ng-class="{'glyphicon-chevron-up': visibleFiltros, 'glyphicon-chevron-down': !visibleFiltros}"></i>
        </uib-accordion-heading>
        <div class="detail-card table-responsive" style="height:230px;">
          <table class="table  table-striped;">
                <thead style="border-bottom:5px solid #D8D8D8;" ng-show="layers[nombre].length">
                  <tr>
                    <th>
                      Descripcion
                      <div class="input-group">
                          <span class="input-group-addon">
                              <input type="checkbox" name="myTextEditBox" ng-checked="false" value="checked" ng-model="valoresGenericosPorCapa[nombre].marcado" ng-click="seleccionarTodo(nombre,valoresGenericosPorCapa[nombre].marcado)"/>
                          </span>
                          <input type="text" class="form-control" id="inputTipo" name="inputTipo" ng-model="valoresGenericosPorCapa[nombre].descripcion" style="width:150px">
                      </div>
                    </th>
                    <th>
                      Tipo
                      <ui-select ng-model="valoresGenericosPorCapa[nombre].tipo" theme="bootstrap" on-select="">
                        <ui-select-match placeholder="Seleccione un tipo"> {{ $select.selected.descripcion }} </ui-select-match>
                        <ui-select-choices repeat="tipo.id as tipo in tipos | filter: $select.search | orderBy : 'descripcion'">
                          <div ng-bind-html="tipo.descripcion | highlight: $select.search"></div>
                        </ui-select-choices>
                      </ui-select>
                    </th>
                    <th>
                      Estado
                      <ui-select ng-model="valoresGenericosPorCapa[nombre].estado" theme="bootstrap" on-select="">
                        <ui-select-match placeholder="Seleccione un estado"> {{ $select.selected.descripcion }} </ui-select-match>
                        <ui-select-choices repeat="estado.id as estado in estados | filter: $select.search | orderBy : 'descripcion'">
                          <div ng-bind-html="estado.descripcion | highlight: $select.search"></div>
                        </ui-select-choices>
                      </ui-select>
                    </th>
                    <th>
                      <button class="btn btn-primary" type="button" title="Aplicar a seleccionados" name="button" ng-click="aplicarATodos(nombre)">Aplicar</button>
                    </th>
                    <th>
                      <button class="btn btn-danger" type="button" name="button" title="mover seleccionados a papelera" ng-click="eliminarSeleccionados(nombre)"><i class="fa fa-trash-o"></i> </button>
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <tr ng-repeat="shape in shapes track by $index" ng-show="shape.guardar" >
                    <div >
                        <td>
                          <div class="input-group">
                              <span class="input-group-addon">
                                  <input type="checkbox" name="myTextEditBox" value="checked" ng-model="shape.marcado" ng-click="toggleShape(shape)" checked="shape.marcado"/>
                              </span>
                              <input type="text" class="form-control" id="inputTipo" name="inputTipo" ng-model="shape.descripcion" style="width:150px">
                          </div>
                        </td>
                        <td>
                            <ui-select ng-model="shape.tipo" theme="bootstrap" on-select="cambiarTipo(shape);imprimirLayers(layers);">
                              <ui-select-match placeholder="Seleccione un tipo"> {{ $select.selected.descripcion }} </ui-select-match>
                              <ui-select-choices repeat="tipo.id as tipo in tipos | filter: {id: $select.search} | orderBy : 'descripcion'">
                                <div ng-bind-html="tipo.descripcion | highlight: $select.search"></div>
                              </ui-select-choices>
                            </ui-select>
                        </td>
                        <td>
                          <ui-select ng-model="shape.estadoId" theme="bootstrap" on-select="cambiarEstado(shape)">
                            <ui-select-match placeholder="Seleccione un estado"> {{ $select.selected.descripcion }} </ui-select-match>
                            <ui-select-choices repeat="estado.id as estado in estados | filter: $select.search | orderBy : 'descripcion'">
                              <div ng-bind-html="estado.descripcion | highlight: $select.search"></div>
                            </ui-select-choices>
                          </ui-select>
                        </td>
                        <td ng-show="!capaNueva(nombre)" style="text-align:center;"><a ng-href="{{urlFotosBase}}{{shape.id}}/fotos"><span class="glyphicon glyphicon-camera glyphicon-custom"></span></a></td>
                        <td><button class="btn btn-danger" title="mover a papelera" type="button" name="button" ng-model="shape.guardar" ng-click="shape.guardar=false;"><i class="fa fa-trash-o"></i></button></td>
                    </div>
                  </tr>
                </tbody>
          </table>
        </div>
    </div>
  </div>
  <div id="acordeon-trash" uib-accordion-group
    class="panel-default left-controls acordeon-tipo-shape"
    is-open="">
      <uib-accordion-heading>
        <i class="fa fa-trash-o" aria-hidden="true"></i>
        Papelera
        <i class="pull-right glyphicon expand-icon"
          ng-class="{'glyphicon-chevron-up': visibleFiltros, 'glyphicon-chevron-down': !visibleFiltros}" ></i>
      </uib-accordion-heading>
      <div class="detail-card table-responsive" style="height:230px;">
          <table class="table  table-striped;">
                <thead>
                  <tr>
                    <th>
                      <input type="checkbox" name="myTextEditBox" ng-checked="false" value="checked" ng-model="checkBoxPapelera" ng-click="seleccionarTodo(null,checkBoxPapelera)"/>
                      Descripcion
                    </th>
                    <th>Tipo</th>
                    <th>Estado</th>
                    <th>
                      <button class="btn btn-primary" type="button" name="button" ng-click="restaurarSeleccionados()">Restaurar seleccionados </button>
                    </th>
                  </tr>
                </thead>
                <tbody ng-repeat="(nombre, shapes) in layers">
                  <tr ng-repeat="shape in shapes" ng-show="!shape.guardar">
                      <td>
                        <input type="checkbox" name="myTextEditBox"  value="checked" ng-model="shape.marcado"/>
                        {{shape.descripcion}}
                      </td>
                      <td>
                        {{getTipoById(shape.tipo).descripcion}}
                      </td>
                      <td>
                        {{getEstadoById(shape.estadoId).descripcion}}
                      </td>
                      <td>
                        <button class="btn btn-primary" type="button" name="button" ng-click="shape.guardar=true;">Restaurar</button>
                      </td>
                  </tr>
                </tbody>
          </table>
      </div>
  </div>
</uib-accordion>
